<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        const i = 1
        function sum() {
            if (i === n) {
                return
            }
            i * i++
            i++
            sum()
        }
        sum()
        console.log(i);
    </script>

</body>
</html>  